petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMTSCheckResidual

Check the residual of the exact solution

### Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMTSCheckResidual(TS ts, DM dm, PetscReal t, Vec u, Vec u_t, PetscReal tol, PetscReal *residual)

### Input Parameters

| ts | - the TS object
| dm | - the DM
| t | - the time
| u | - a DM vector
| u_t | - a DM vector
| tol | - A tolerance for the check, or -1 to print the results instead

### Output Parameters

| residual | - The residual norm of the exact solution, or NULL

### See Also

DNTSCheckFromOptions(), DMTSCheckJacobian(), DNSNESCheckFromOptions(), DMSNESCheckDiscretization(), DMSNESCheckJacobian()

### Level

developer

### Location

src/ts/utils/dmplexts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages